VCMD0028040000000000COMPONENT          
Node "rSimResource"
{
Name "DemoVehicle"
Id 1
NodeClass 
{
Id 1
Feature "rFrameFeature"
{
Name "Frame"

Visible 1
Value 0.999999992549 0 0 0 0 0.999998100104 0 0 0 0 0.999998092653 0 1000 0 0 1 
UseAsGuide 1
}
Feature "rPrimitiveWedgeFeature"
{
Name "Wedge"

Matrix 1 0 0 0 0 1 0 0 0 0 1 0 0 -250 0 1 
Visible 1
BiggerLength 
{
  Expression "1000"
}

SmallerLength 
{
  Expression "500"
}

BiggerHeight 
{
  Expression "1000"
}

SmallerHeight 
{
  Expression "500"
}

Width 
{
  Expression "500"
}

MirrorBack 0
MirrorDown 0
}
VCID "1ec6519c-ba2a-402e-8aa1-27261666e210"
}
Functionality "rSimVehicle"
{
Id 1
Name "Vehicle"
}
Functionality "rPythonScript"
{
Id 2
Name "PythonScript"
Script "from vcScript import *\nimport vcVector
\n
\np1 = vcVector.new(3000,0,0)
\np2 = vcVector.new(6000,1000,0)
\np3 = vcVector.new(9000,-1000,0)
\np4 = vcVector.new(12000,0,0)
\np5 = vcVector.new(0,-5000,0)
\n
\n
\ndef OnRun():
\n  comp = getComponent()
\n  vehicle = comp.findBehaviour(\"Vehicle\")
\n  vehicle.Acceleration = 400.0
\n  vehicle.Deceleration = 400.0
\n  vehicle.MaxSpeed = 500.0
\n  vehicle.OffsetMatrix = comp.findFeature(\"Frame\")
\n  
\n  vehicle.clearMove()
\n  for p in p1,p2,p3,p4:
\n    vehicle.addControlPoint(p)
\n    
\n  stopDistance = vehicle.getControlPointDistance(1)
\n  stopTime = vehicle.calculateFinishedTimeToStopAt(stopDistance)
\n  
\n  ##this will completely stop the vehicle
\n  ##you will then need to provide new path
\n  #delay(stopTime)
\n  #vehicle.clearMove()
\n  
\n  ##this will get the total length of first path
\n  ##stop time will be used to create delay
\n  ##after delay, vehicle is rerouted to new point
\n  totalDistance = vehicle.PathLength
\n  stopTime = vehicle.calculateFinishedTimeToStopAt(totalDistance)
\n  delay(stopTime-5)
\n  vehicle.rePlan()
\n  vehicle.addControlPoint(p5)
\n  
\ndef OnReset():
\n  comp = getComponent()
\n  vehicle = comp.findBehaviour(\"Vehicle\")
\n  vehicle.clearMove()
\n  vehicle.clearPassedPoints()"
CompatibilityMode 0
}
VCID 1ec6519c-ba2a-402e-8aa1-27261666e210
Revision 6
Location -0.948683298051 -0.316227766017 0 0 0.316227766017 -0.948683298051 0 0 0 0 1 0 3221.14694864 73.7156495452 0 1 
ActiveSimulationLevel detailed
BOMname  "NewComponent"

BOMdescription  ""

Category  ""

VariableSpace ""
{
  Variable "rTVariable<rBool>"
  {
    Name "Visible"
    Value 1
    Group -1130
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      MANAGED
    }
  }
}
}
